<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CustomerRequest extends FormRequest
{
    /** @noinspection DuplicatedCode */
    public function rules(): array {
        $rules = [
            'name' => ['required', 'string', 'max:254'],
            'email' => ['required', 'email', Rule::unique("vendors"), 'max:254'],
            'mobile_no' => ['required', 'string', Rule::unique("vendors"), 'max:20'],
            'address' => ['nullable', 'string', 'max:254'],
        ];

        if ($this->routeIs("customers.update")) {
            $customerId = $this->route("customer");

            $rules["name"][0] = "sometimes";
            $rules["email"][0] = "sometimes";
            $rules["email"][2] = Rule::unique("vendors")->ignore($customerId);
            $rules["mobile_no"][0] = "sometimes";
            $rules["mobile_no"][2] = Rule::unique("vendors")->ignore($customerId);
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
