<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class FactoryRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'name' => ['required', 'string', 'max:254'],
            'location' => ['required', "string", "max:254"],
            'is_warehouse' => ['required', 'boolean'],
        ];

        if ($this->routeIs("factories.update")) {
            $rules["name"][0] = "sometimes";
            $rules["location"][0] = "sometimes";
            $rules["is_warehouse"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
