<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class JobCardUpdateRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'job_card_id' => ['required', 'exists:job_cards,id'],
            'item_id' => ['nullable', 'exists:items,id'],
            'description' => ['sometimes', 'string'],
            'percentage_completed' => ['sometimes', 'integer'],
            'completed_quantity_count' => ['sometimes', 'integer'],
        ];

        if ($this->routeIs("job-card-updates.update")) {
            $rules["job_card_id"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
