<?php

namespace App\Http\Requests;

use App\Enums\OutsourcedJobStatus;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class OutsourcedJobRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'job_card_id' => ['required', 'exists:job_cards,id'],
            'vendor_id' => ['required', 'exists:vendors,id'],
            'description' => ['sometimes', "string"],
            'cost' => ['required', 'integer'],
            'status' => ['required', Rule::enum(OutsourcedJobStatus::class)],
        ];

        if ($this->routeIs("outsourced-jobs.update")) {
            $rules["job_card_id"][0] = "sometimes";
            $rules["vendor_id"][0] = "sometimes";
            $rules["cost"][0] = "sometimes";
            $rules["status"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
