<?php

namespace App\Http\Requests;

use App\Enums\PaymentMode;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class PaymentRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'bill_id' => ['required_if_accepted::is_credit', 'exists:bills,id'],

            'is_credit' => ['required', 'boolean'],
            'mode' => ['required', Rule::enum(PaymentMode::class)],
            'amount' => ['required', 'integer'],
            'description' => ['nullable', 'string', 'max:254'],
        ];

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
