<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PurchaseOrderRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'factory_id' => ['nullable', 'exists:factories,id'],
            'customer_id' => ['required', 'exists:customers,id'],
            'delivery_date' => ['required', 'date'],
            'total_amount' => ['required', 'integer'],

            'items' => ["required", 'array'],
            'items.*.id' => ["required_with:items", 'exists:items,id'],
            'items.*.quantity' => ["required_with:items", 'integer', 'min:1'],
            'items.*.amount' => ["required_with:items", 'integer', 'min:0'],
        ];

        if ($this->routeIs("purchase-orders.update")) {
            $rules["customer_id"][0] = "sometimes";
            $rules["delivery_date"][0] = "sometimes";
            $rules["total_amount"][0] = "sometimes";

            $rules["items"][0] = 'sometimes';
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
