<?php

namespace App\Http\Requests;

use App\Enums\DeliveryStatus;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class SaleOrderRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'purchase_order_id' => ['required', 'exists:purchase_orders,id'],
            'delivery_date' => ['required', 'date'],
            'delivery_status' => ['required', Rule::enum(DeliveryStatus::class)],
            'challan' => ['nullable', 'string'],
        ];

        if ($this->routeIs("sale-orders.update")) {
            $rules["purchase_order_id"][0] = "sometimes";
            $rules["delivery_date"][0] = "sometimes";
            $rules["delivery_status"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
