<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SupplyRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'vendor_id' => ['required', 'exists:vendors,id'],
            'item_id' => ['required', 'exists:items,id'],
            'quantity' => ['required', 'integer'],
            'date' => ['required', 'date'],
            'total_amount' => ['required', 'integer'],
            'unit_price' => ['required', 'integer'],
        ];

        if ($this->routeIs("supplies.update")) {
            $rules["vendor_id"][0] = "sometimes";
            $rules["item_id"][0] = "sometimes";
            $rules["quantity"][0] = "sometimes";
            $rules["date"][0] = "sometimes";
            $rules["unit_price"][0] = "sometimes";
            $rules["total_amount"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
