<?php

namespace App\Http\Resources;

use App\Models\JobCard;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin JobCard */
class JobCardResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'purchase_order_id' => $this->purchase_order_id,

            'description' => $this->description,
            'start_date' => $this->start_date,
            'end_date' => $this->end_date,
            'percentage_completed' => $this->percentage_completed,
            'completed_quantity_count' => $this->completed_quantity_count,
            'status' => $this->status,

            // relations
            'purchase_order' => new PurchaseOrderResource($this->whenLoaded('purchaseOrder')),
            'items' => ItemResource::collection($this->whenLoaded("items")),
            'job_card_updates' => JobCardUpdateResource::collection($this->whenLoaded("jobCardUpdates")),
            'outsourced_jobs' => OutsourcedJobResource::collection($this->whenLoaded("outsourcedJobs")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
