<?php

namespace App\Http\Resources;

use App\Models\JobCardUpdate;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin JobCardUpdate */
class JobCardUpdateResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'job_card_id' => $this->job_card_id,
            'item_id' => $this->item_id,

            'description' => $this->description,
            'percentage_completed' => $this->percentage_completed,
            'completed_quantity_count' => $this->completed_quantity_count,

            // relations
            'job_card' => new JobCardResource($this->whenLoaded('jobCard')),
            'item' => new ItemResource($this->whenLoaded('item')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
