<?php

namespace App\Http\Resources;

use App\Models\OutsourcedJob;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin OutsourcedJob */
class OutsourcedJobResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'job_card_id' => $this->job_card_id,
            'vendor_id' => $this->vendor_id,

            'description' => $this->description,
            'cost' => $this->cost,
            'status' => $this->status,

            // relations
            'job_card' => new JobCardResource($this->whenLoaded('jobCard')),
            'vendor' => new VendorResource($this->whenLoaded('vendor')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
