<?php

namespace App\Http\Resources;

use App\Models\Payment;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Payment */
class PaymentResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'bill_id' => $this->bill_id,

            'is_credit' => $this->is_credit,
            'mode' => $this->mode,
            'amount' => $this->amount,
            'description' => $this->description,

            // relations
            'bill' => new BillResource($this->whenLoaded('bill')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
