<?php

namespace App\Http\Resources;

use App\Models\PurchaseOrder;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin PurchaseOrder */
class PurchaseOrderResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'factory_id' => $this->factory_id,
            'customer_id' => $this->customer_id,

            'delivery_date' => $this->delivery_date,
            'total_amount' => $this->total_amount,

            // relations
            'factory' => new FactoryResource($this->whenLoaded('factoryRelation')),
            'customer' => new CustomerResource($this->whenLoaded('customer')),
            'items' => ItemResource::collection($this->whenLoaded("items")),
            'job_card' => new JobCardResource($this->whenLoaded("jobCard")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
