<?php

namespace App\Http\Resources;

use App\Models\SaleOrder;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin SaleOrder */
class SaleOrderResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'purchase_order_id' => $this->purchase_order_id,

            'delivery_date' => $this->delivery_date,
            'delivery_status' => $this->delivery_status,
            'challan' => $this->challan,

            // relations
            'purchase_order' => new PurchaseOrderResource($this->whenLoaded('purchaseOrder')),
            'bill' => new BillResource($this->whenLoaded("bill")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
