<?php

namespace App\Http\Resources;

use App\Models\Supply;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Supply */
class SupplyResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'vendor_id' => $this->vendor_id,
            'item_id' => $this->item_id,

            'quantity' => $this->quantity,
            'date' => $this->date,
            'total_amount' => $this->total_amount,
            'unit_price' => $this->unit_price,

            // relations
            'vendor' => new VendorResource($this->whenLoaded('vendor')),
            'item' => new ItemResource($this->whenLoaded('item')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
