<?php

namespace App\Http\Resources;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin User */
class UserResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'factory_id' => $this->factory_id,
            'shop_id' => $this->shop_id,

            'name' => $this->name,
            'email' => $this->email,
            'mobile_no' => $this->mobile_no,
            'role' => $this->role,
            "last_login_at" => $this->last_login_at,

            "factory" => new FactoryResource($this->whenLoaded("factoryRelation")),
            "shop" => new ShopResource($this->whenLoaded("shop")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
