<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Item extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'factory_id',
        'shop_id',

        'name',
        'type',
        'stock_level',
        'sku',
        'dimensions',
        'material_type',
        'unit_price'
    ];

    protected $fillable = [
        'factory_id',
        'shop_id',

        'name',
        'type',
        'stock_level',
        'sku',
        'dimensions',
        'material_type',
        'unit_price',
        'reorder_level',
    ];

    public function factoryRelation(): BelongsTo {
        return $this->belongsTo(Factory::class, 'factory_id');
    }

    public function shop(): BelongsTo {
        return $this->belongsTo(Shop::class);
    }
}
