<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class JobCardUpdate extends Model
{
    use HasFactory;

    protected $fillable = [
        "job_card_id",
        "item_id",

        "description",
        "percentage_completed",
        "completed_quantity_count",
    ];

    public function jobCard(): BelongsTo {
        return $this->belongsTo(JobCard::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);
    }
}
