<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class OutsourcedJob extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'job_card_id',
        'vendor_id',

        'cost',
        'status',
    ];

    protected $fillable = [
        "job_card_id",
        "vendor_id",

        "description",
        "cost",
        "status",
    ];

    public function jobCard(): BelongsTo {
        return $this->belongsTo(JobCard::class);
    }

    public function vendor(): BelongsTo {
        return $this->belongsTo(Vendor::class);
    }
}
