<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Payment extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        "bill_id",

        "is_credit",
        "mode",
        "amount"
    ];

    protected $fillable = [
        'bill_id',

        'is_credit',
        'mode',
        'amount',
        'description',
    ];

    public function bill(): BelongsTo {
        return $this->belongsTo(Bill::class);
    }

    protected function casts(): array {
        return [
            'is_credit' => 'boolean',
        ];
    }
}
