<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class SaleOrder extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'purchase_order_id',

        'delivery_date',
        'delivery_status'
    ];

    protected $fillable = [
        "purchase_order_id",

        "delivery_date",
        "delivery_status",
        "challan",
    ];

    public function bill(): HasOne {
        return $this->hasOne(Bill::class, 'sale_order_id');
    }

    public function purchaseOrder(): BelongsTo {
        return $this->belongsTo(PurchaseOrder::class);
    }
}
