<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Supply extends Model
{
    use HasFactory;

    protected $fillable = [
        'vendor_id',
        'item_id',

        'quantity',
        'date',
        'total_amount',
        'unit_price',
    ];

    public function vendor(): BelongsTo {
        return $this->belongsTo(Vendor::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);
    }
}
