<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Vendor extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'name',
        'email',
        'mobile_no',
        'for_outsource_job',
    ];

    protected $fillable = [
        'name',
        'email',
        'mobile_no',
        'address',
        'for_outsource_job',
    ];

    public function supplies(): HasMany {
        return $this->hasMany(Supply::class, 'vendor_id');
    }

    protected function casts(): array {
        return [
            'for_outsource_job' => 'boolean',
        ];
    }
}
