<?php

namespace Database\Factories;

use App\Enums\BillStatus;
use App\Models\Bill;
use Illuminate\Database\Eloquent\Factories\Factory;

class BillFactory extends Factory
{
    protected $model = Bill::class;

    public function definition(): array {
        return [
            'invoice_number' => $this->faker->uuid(),
            'total_amount' => $this->faker->randomNumber(),
            'is_direct' => false,
            'status' => $this->faker->randomElement(array_column(BillStatus::cases(), "value"))
        ];
    }
}
