<?php

namespace Database\Factories;

use App\Enums\ItemType;
use App\Models\Item;
use Illuminate\Database\Eloquent\Factories\Factory as BaseFactory;

class ItemFactory extends BaseFactory
{
    protected $model = Item::class;

    public function definition(): array {
        return [
            'name' => $this->faker->name(),
            'type' => $this->faker->randomElement(array_column(ItemType::cases(), "value")),
            'stock_level' => $this->faker->randomNumber(4),
            'sku' => $this->faker->uuid(),
            'dimensions' => $this->faker->word(),
            'material_type' => $this->faker->word(),
            'unit_price' => $this->faker->randomNumber(4),
            'reorder_level' => $this->faker->randomNumber(3)
        ];
    }
}
