<?php

namespace Database\Factories;

use App\Enums\JobCardStatus;
use App\Models\JobCard;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class JobCardFactory extends Factory
{
    protected $model = JobCard::class;

    public function definition(): array {
        return [
            'description' => $this->faker->text(),
            'start_date' => Carbon::now(),
            'end_date' => Carbon::tomorrow(),
            'percentage_completed' => 0,
            'completed_quantity_count' => 0,
            'status' => $this->faker->randomElement(array_column(JobCardStatus::cases(), "value"))
        ];
    }
}
