<?php

namespace Database\Factories;

use App\Enums\PaymentMode;
use App\Models\Payment;
use Illuminate\Database\Eloquent\Factories\Factory;

class PaymentFactory extends Factory
{
    protected $model = Payment::class;

    public function definition(): array {
        return [
            'is_credit' => false,
            'mode' => $this->faker->randomElement(array_column(PaymentMode::cases(), "value")),
            'amount' => $this->faker->randomNumber(6),
            'description' => $this->faker->paragraph(1),
        ];
    }
}
