<?php

namespace Database\Factories;

use App\Enums\DeliveryStatus;
use App\Models\SaleOrder;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class SaleOrderFactory extends Factory
{
    protected $model = SaleOrder::class;

    public function definition(): array {
        return [
            'delivery_date' => Carbon::today(),
            'delivery_status' => $this->faker->randomElement(array_column(DeliveryStatus::cases(), "value")),
            'challan' => $this->faker->word()
        ];
    }
}
