<?php

use App\Enums\ItemType;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('items', function (Blueprint $table) {
            $table->id();

            $table->foreignId('factory_id')->nullable()->constrained("factories")
                ->cascadeOnDelete();
            $table->foreignId('shop_id')->nullable()->constrained("shops")
                ->cascadeOnDelete();

            $table->string('name');
            $table->enum('type', array_column(ItemType::cases(), "value"))
                ->default(ItemType::RAW_MATERIAL->value);
            $table->unsignedMediumInteger('stock_level')->default(0);
            $table->string('sku', 100)->nullable();
            $table->string('dimensions')->nullable();
            $table->string('material_type')->nullable();
            $table->unsignedSmallInteger('unit_price')->default(0);
            $table->unsignedSmallInteger('reorder_level')->default(0);

            // timestamps
            $table->timestamps();
        });
    }

    public function down() {
        Schema::dropIfExists('items');
    }
};
