<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('supplies', function (Blueprint $table) {
            $table->id();

            $table->foreignId('vendor_id')->constrained("vendors")
                ->cascadeOnDelete();
            $table->foreignId('item_id')->constrained("items")
                ->cascadeOnDelete();

            $table->string('quantity')->default(1);
            $table->date('date');
            $table->unsignedInteger('total_amount');
            $table->unsignedMediumInteger('unit_price');

            $table->timestamps();
        });
    }

    public function down() {
        Schema::dropIfExists('supplies');
    }
};
