<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('purchase_orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('factory_id')->nullable()->constrained("factories")
                ->cascadeOnDelete();
            $table->foreignId('customer_id')->constrained("customers")
                ->cascadeOnDelete();

            $table->date('delivery_date');
            $table->unsignedInteger('total_amount')->default(0);

            $table->timestamps();
        });
    }

    public function down() {
        Schema::dropIfExists('purchase_orders');
    }
};
