<?php

use App\Enums\JobCardStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('job_cards', function (Blueprint $table) {
            $table->id();

            $table->foreignId('purchase_order_id')->constrained("purchase_orders")
                ->cascadeOnDelete();

            $table->text('description')->nullable();
            $table->date('start_date');
            $table->date('end_date');
            $table->unsignedTinyInteger('percentage_completed')->default(0);
            $table->unsignedSmallInteger('completed_quantity_count')->default(0);
            $table->enum('status', array_column(JobCardStatus::cases(), "value"))
                ->default(JobCardStatus::PENDING->value);

            $table->timestamps();
        });
    }

    public function down() {
        Schema::dropIfExists('job_cards');
    }
};
