<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('job_card_updates', function (Blueprint $table) {
            $table->id();
            $table->foreignId('job_card_id')->constrained("job_cards")
                ->cascadeOnDelete();
            $table->foreignId('item_id')->nullable()->constrained("items")
                ->cascadeOnDelete();

            $table->text('description')->nullable();
            $table->unsignedTinyInteger('percentage_completed')->default(0);
            $table->unsignedMediumInteger('completed_quantity_count')->default(0);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('job_card_updates');
    }
};
