<?php

use App\Enums\OutsourcedJobStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('outsourced_jobs', function (Blueprint $table) {
            $table->id();
            $table->foreignId('job_card_id');
            $table->foreignId('vendor_id');

            $table->text('description');
            $table->unsignedMediumInteger('cost');
            $table->enum('status', array_column(OutsourcedJobStatus::cases(), "value"));

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('outsourced_jobs');
    }
};
