<?php

use App\Enums\DeliveryStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('sale_orders', function (Blueprint $table) {
            $table->id();

            $table->foreignId('purchase_order_id')->constrained("purchase_orders")
                ->cascadeOnDelete();

            $table->date('delivery_date');
            $table->enum('delivery_status', array_column(DeliveryStatus::cases(), "value"))
                ->default(DeliveryStatus::PENDING->value);
            $table->text('challan')->nullable();

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('sale_orders');
    }
};
