<?php

use App\Enums\BillStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('bills', function (Blueprint $table) {
            $table->id();

            $table->foreignId('sale_order_id')->constrained("sale_orders")
                ->cascadeOnDelete();
            $table->foreignId('purchase_order_id')->constrained("purchase_orders")
                ->cascadeOnDelete();
            $table->foreignId('customer_id')->constrained("customers")
                ->cascadeOnDelete();

            $table->string('invoice_number', 50)->nullable();
            $table->unsignedMediumInteger('total_amount')->default(false);
            $table->boolean('is_direct')->default(false);
            $table->enum('status', array_column(BillStatus::cases(), "value"))
                ->default(BillStatus::PENDING->value);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('bills');
    }
};
