<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('bill_item', function (Blueprint $table) {
            $table->id();

            $table->foreignId('bill_id')->constrained('bills')
                ->cascadeOnDelete();
            $table->foreignId('item_id')->constrained('items')
                ->cascadeOnDelete();

            $table->unsignedSmallInteger('quantity')->default(1);
            $table->unsignedMediumInteger('amount')->default(0);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('bill_item');
    }
};
