<?php

use App\Enums\PaymentMode;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();

            $table->foreignId('bill_id')->nullable()->constrained("bills")
                ->cascadeOnDelete();

            $table->boolean('is_credit')->default(false);
            $table->enum('mode', array_column(PaymentMode::cases(), "value"))
                ->default(PaymentMode::CASH->value);
            $table->unsignedMediumInteger('amount')->default(0);
            $table->string('description')->nullable();

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('payments');
    }
};
