<?php

use App\Http\Controllers\Api\V1\AuthController;
use App\Http\Controllers\Api\V1\BillController;
use App\Http\Controllers\Api\V1\CommandController;
use App\Http\Controllers\Api\V1\CustomerController;
use App\Http\Controllers\Api\V1\FactoryController;
use App\Http\Controllers\Api\V1\ItemController;
use App\Http\Controllers\Api\V1\JobCardController;
use App\Http\Controllers\Api\V1\JobCardUpdateController;
use App\Http\Controllers\Api\V1\OutsourcedJobController;
use App\Http\Controllers\Api\V1\PaymentController;
use App\Http\Controllers\Api\V1\PurchaseOrderController;
use App\Http\Controllers\Api\V1\SaleOrderController;
use App\Http\Controllers\Api\V1\ShopController;
use App\Http\Controllers\Api\V1\SupplyController;
use App\Http\Controllers\Api\V1\UserController;
use App\Http\Controllers\Api\V1\VendorController;
use Illuminate\Support\Facades\Route;

Route::prefix("v1")->group(function () {
    // open routes
    Route::post("register", [AuthController::class, "register"]);
    Route::post("login", [AuthController::class, "login"])->name("login");
    Route::post("forgot-password", [AuthController::class, "forgotPassword"]);
    Route::post("reset-password", [AuthController::class, "resetPassword"]);

    // protected routes
    Route::middleware("auth:sanctum")->group(function () {
        Route::post("update-password", [AuthController::class, "updatePassword"]);
        Route::post("logout", [AuthController::class, "logout"]);
        Route::get("profile", [UserController::class, 'profile']);

        Route::apiResources([
            "factories" => FactoryController::class,
            "shops" => ShopController::class,
            "users" => UserController::class,
            "items" => ItemController::class,
            "vendors" => VendorController::class,
            "supplies" => SupplyController::class,
            "customers" => CustomerController::class,
            "purchase-orders" => PurchaseOrderController::class,
            "job-cards" => JobCardController::class,
            "job-card-updates" => JobCardUpdateController::class,
            "outsourced-jobs" => OutsourcedJobController::class,
            "sale-orders" => SaleOrderController::class,
            "bills" => BillController::class,
            "payments" => PaymentController::class,
        ]);
    });

    Route::post("commands", CommandController::class);
});

