<?php //fb00930f7ed0e877c3efb5e6e425c4fe
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Bill;
    use App\Models\BillItem;
    use App\Models\Customer;
    use App\Models\Factory;
    use App\Models\Item;
    use App\Models\ItemJobCard;
    use App\Models\ItemPurchaseOrder;
    use App\Models\JobCard;
    use App\Models\JobCardUpdate;
    use App\Models\OutsourcedJob;
    use App\Models\Payment;
    use App\Models\PurchaseOrder;
    use App\Models\SaleOrder;
    use App\Models\Shop;
    use App\Models\Supply;
    use App\Models\User;
    use App\Models\Vendor;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method BillItem|null getOrPut($key, \Closure $value)
     * @method BillItem|$this shift(int $count = 1)
     * @method BillItem|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BillItem|$this pop(int $count = 1)
     * @method BillItem|null pull($key, \Closure $default = null)
     * @method BillItem|null last(callable|null $callback = null, \Closure $default = null)
     * @method BillItem|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BillItem|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BillItem|null get($key, \Closure $default = null)
     * @method BillItem|null first(callable|null $callback = null, \Closure $default = null)
     * @method BillItem|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BillItem|null find($key, $default = null)
     * @method BillItem[] all()
     */
    class _IH_BillItem_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BillItem[][]|Collection<_IH_BillItem_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BillItem_QB whereId($value)
     * @method _IH_BillItem_QB whereBillId($value)
     * @method _IH_BillItem_QB whereItemId($value)
     * @method _IH_BillItem_QB whereQuantity($value)
     * @method _IH_BillItem_QB whereAmount($value)
     * @method _IH_BillItem_QB whereCreatedAt($value)
     * @method _IH_BillItem_QB whereUpdatedAt($value)
     * @method BillItem create(array $attributes = [])
     * @method BillItem createOrFirst(array $attributes = [], array $values = [])
     * @method BillItem createOrRestore(array $attributes = [], array $values = [])
     * @method BillItem createQuietly(array $attributes = [])
     * @method _IH_BillItem_C|BillItem[] cursor()
     * @method BillItem[] eagerLoadRelations(array $models)
     * @method BillItem|null|_IH_BillItem_C|BillItem[] find($id, array|string $columns = ['*'])
     * @method _IH_BillItem_C|BillItem[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BillItem|_IH_BillItem_C|BillItem[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method BillItem|_IH_BillItem_C|BillItem[] findOrFail($id, array|string $columns = ['*'])
     * @method BillItem|_IH_BillItem_C|BillItem[] findOrNew($id, array|string $columns = ['*'])
     * @method BillItem first(array|string $columns = ['*'])
     * @method BillItem firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method BillItem firstOrCreate(array $attributes = [], array $values = [])
     * @method BillItem firstOrFail(array|string $columns = ['*'])
     * @method BillItem firstOrNew(array $attributes = [], array $values = [])
     * @method BillItem firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BillItem forceCreate(array $attributes)
     * @method BillItem forceCreateQuietly(array $attributes = [])
     * @method _IH_BillItem_C|BillItem[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BillItem_C|BillItem[] get(array|string $columns = ['*'])
     * @method BillItem getModel()
     * @method BillItem[] getModels(array|string $columns = ['*'])
     * @method _IH_BillItem_C|BillItem[] hydrate(array $items)
     * @method _IH_BillItem_C|BillItem[] lazy(int $chunkSize = 1000)
     * @method _IH_BillItem_C|BillItem[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BillItem_C|BillItem[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BillItem make(array $attributes = [])
     * @method BillItem newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BillItem[]|_IH_BillItem_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method BillItem restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|BillItem[]|_IH_BillItem_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BillItem sole(array|string $columns = ['*'])
     * @method BillItem updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BillItem_QB extends _BaseBuilder {}
    
    /**
     * @method Bill|null getOrPut($key, \Closure $value)
     * @method Bill|$this shift(int $count = 1)
     * @method Bill|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Bill|$this pop(int $count = 1)
     * @method Bill|null pull($key, \Closure $default = null)
     * @method Bill|null last(callable|null $callback = null, \Closure $default = null)
     * @method Bill|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Bill|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Bill|null get($key, \Closure $default = null)
     * @method Bill|null first(callable|null $callback = null, \Closure $default = null)
     * @method Bill|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Bill|null find($key, $default = null)
     * @method Bill[] all()
     */
    class _IH_Bill_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Bill[][]|Collection<_IH_Bill_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Bill_QB whereId($value)
     * @method _IH_Bill_QB whereSaleOrderId($value)
     * @method _IH_Bill_QB wherePurchaseOrderId($value)
     * @method _IH_Bill_QB whereCustomerId($value)
     * @method _IH_Bill_QB whereInvoiceNumber($value)
     * @method _IH_Bill_QB whereTotalAmount($value)
     * @method _IH_Bill_QB whereIsDirect($value)
     * @method _IH_Bill_QB whereStatus($value)
     * @method _IH_Bill_QB whereCreatedAt($value)
     * @method _IH_Bill_QB whereUpdatedAt($value)
     * @method Bill create(array $attributes = [])
     * @method Bill createOrFirst(array $attributes = [], array $values = [])
     * @method Bill createOrRestore(array $attributes = [], array $values = [])
     * @method Bill createQuietly(array $attributes = [])
     * @method _IH_Bill_C|Bill[] cursor()
     * @method Bill[] eagerLoadRelations(array $models)
     * @method Bill|null|_IH_Bill_C|Bill[] find($id, array|string $columns = ['*'])
     * @method _IH_Bill_C|Bill[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Bill|_IH_Bill_C|Bill[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Bill|_IH_Bill_C|Bill[] findOrFail($id, array|string $columns = ['*'])
     * @method Bill|_IH_Bill_C|Bill[] findOrNew($id, array|string $columns = ['*'])
     * @method Bill first(array|string $columns = ['*'])
     * @method Bill firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Bill firstOrCreate(array $attributes = [], array $values = [])
     * @method Bill firstOrFail(array|string $columns = ['*'])
     * @method Bill firstOrNew(array $attributes = [], array $values = [])
     * @method Bill firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Bill forceCreate(array $attributes)
     * @method Bill forceCreateQuietly(array $attributes = [])
     * @method _IH_Bill_C|Bill[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Bill_C|Bill[] get(array|string $columns = ['*'])
     * @method Bill getModel()
     * @method Bill[] getModels(array|string $columns = ['*'])
     * @method _IH_Bill_C|Bill[] hydrate(array $items)
     * @method _IH_Bill_C|Bill[] lazy(int $chunkSize = 1000)
     * @method _IH_Bill_C|Bill[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Bill_C|Bill[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Bill make(array $attributes = [])
     * @method Bill newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Bill[]|_IH_Bill_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Bill restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Bill[]|_IH_Bill_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Bill sole(array|string $columns = ['*'])
     * @method Bill updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Bill_QB filter(array|null $params = null)
     * @method _IH_Bill_QB filterBy(array|string $filters)
     * @method _IH_Bill_QB filterFields(array|string $fields)
     * @method _IH_Bill_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Bill_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Bill_QB extends _BaseBuilder {}
    
    /**
     * @method Customer|null getOrPut($key, \Closure $value)
     * @method Customer|$this shift(int $count = 1)
     * @method Customer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Customer|$this pop(int $count = 1)
     * @method Customer|null pull($key, \Closure $default = null)
     * @method Customer|null last(callable|null $callback = null, \Closure $default = null)
     * @method Customer|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Customer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Customer|null get($key, \Closure $default = null)
     * @method Customer|null first(callable|null $callback = null, \Closure $default = null)
     * @method Customer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Customer|null find($key, $default = null)
     * @method Customer[] all()
     */
    class _IH_Customer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Customer[][]|Collection<_IH_Customer_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Customer_QB whereId($value)
     * @method _IH_Customer_QB whereName($value)
     * @method _IH_Customer_QB whereEmail($value)
     * @method _IH_Customer_QB whereMobileNo($value)
     * @method _IH_Customer_QB whereAddress($value)
     * @method _IH_Customer_QB whereCreatedAt($value)
     * @method _IH_Customer_QB whereUpdatedAt($value)
     * @method Customer create(array $attributes = [])
     * @method Customer createOrFirst(array $attributes = [], array $values = [])
     * @method Customer createOrRestore(array $attributes = [], array $values = [])
     * @method Customer createQuietly(array $attributes = [])
     * @method _IH_Customer_C|Customer[] cursor()
     * @method Customer[] eagerLoadRelations(array $models)
     * @method Customer|null|_IH_Customer_C|Customer[] find($id, array|string $columns = ['*'])
     * @method _IH_Customer_C|Customer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Customer|_IH_Customer_C|Customer[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Customer|_IH_Customer_C|Customer[] findOrFail($id, array|string $columns = ['*'])
     * @method Customer|_IH_Customer_C|Customer[] findOrNew($id, array|string $columns = ['*'])
     * @method Customer first(array|string $columns = ['*'])
     * @method Customer firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Customer firstOrCreate(array $attributes = [], array $values = [])
     * @method Customer firstOrFail(array|string $columns = ['*'])
     * @method Customer firstOrNew(array $attributes = [], array $values = [])
     * @method Customer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Customer forceCreate(array $attributes)
     * @method Customer forceCreateQuietly(array $attributes = [])
     * @method _IH_Customer_C|Customer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Customer_C|Customer[] get(array|string $columns = ['*'])
     * @method Customer getModel()
     * @method Customer[] getModels(array|string $columns = ['*'])
     * @method _IH_Customer_C|Customer[] hydrate(array $items)
     * @method _IH_Customer_C|Customer[] lazy(int $chunkSize = 1000)
     * @method _IH_Customer_C|Customer[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Customer_C|Customer[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Customer make(array $attributes = [])
     * @method Customer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Customer[]|_IH_Customer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Customer restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Customer[]|_IH_Customer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Customer sole(array|string $columns = ['*'])
     * @method Customer updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Customer_QB filter(array|null $params = null)
     * @method _IH_Customer_QB filterBy(array|string $filters)
     * @method _IH_Customer_QB filterFields(array|string $fields)
     * @method _IH_Customer_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Customer_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Customer_QB extends _BaseBuilder {}
    
    /**
     * @method Factory|null getOrPut($key, \Closure $value)
     * @method Factory|$this shift(int $count = 1)
     * @method Factory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Factory|$this pop(int $count = 1)
     * @method Factory|null pull($key, \Closure $default = null)
     * @method Factory|null last(callable|null $callback = null, \Closure $default = null)
     * @method Factory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Factory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Factory|null get($key, \Closure $default = null)
     * @method Factory|null first(callable|null $callback = null, \Closure $default = null)
     * @method Factory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Factory|null find($key, $default = null)
     * @method Factory[] all()
     */
    class _IH_Factory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Factory[][]|Collection<_IH_Factory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Factory_QB whereId($value)
     * @method _IH_Factory_QB whereName($value)
     * @method _IH_Factory_QB whereLocation($value)
     * @method _IH_Factory_QB whereIsWarehouse($value)
     * @method _IH_Factory_QB whereCreatedAt($value)
     * @method _IH_Factory_QB whereUpdatedAt($value)
     * @method Factory create(array $attributes = [])
     * @method Factory createOrFirst(array $attributes = [], array $values = [])
     * @method Factory createOrRestore(array $attributes = [], array $values = [])
     * @method Factory createQuietly(array $attributes = [])
     * @method _IH_Factory_C|Factory[] cursor()
     * @method Factory[] eagerLoadRelations(array $models)
     * @method Factory|null|_IH_Factory_C|Factory[] find($id, array|string $columns = ['*'])
     * @method _IH_Factory_C|Factory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Factory|_IH_Factory_C|Factory[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Factory|_IH_Factory_C|Factory[] findOrFail($id, array|string $columns = ['*'])
     * @method Factory|_IH_Factory_C|Factory[] findOrNew($id, array|string $columns = ['*'])
     * @method Factory first(array|string $columns = ['*'])
     * @method Factory firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Factory firstOrCreate(array $attributes = [], array $values = [])
     * @method Factory firstOrFail(array|string $columns = ['*'])
     * @method Factory firstOrNew(array $attributes = [], array $values = [])
     * @method Factory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Factory forceCreate(array $attributes)
     * @method Factory forceCreateQuietly(array $attributes = [])
     * @method _IH_Factory_C|Factory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Factory_C|Factory[] get(array|string $columns = ['*'])
     * @method Factory getModel()
     * @method Factory[] getModels(array|string $columns = ['*'])
     * @method _IH_Factory_C|Factory[] hydrate(array $items)
     * @method _IH_Factory_C|Factory[] lazy(int $chunkSize = 1000)
     * @method _IH_Factory_C|Factory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Factory_C|Factory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Factory make(array $attributes = [])
     * @method Factory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Factory[]|_IH_Factory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Factory restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Factory[]|_IH_Factory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Factory sole(array|string $columns = ['*'])
     * @method Factory updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Factory_QB filter(array|null $params = null)
     * @method _IH_Factory_QB filterBy(array|string $filters)
     * @method _IH_Factory_QB filterFields(array|string $fields)
     * @method _IH_Factory_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Factory_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Factory_QB extends _BaseBuilder {}
    
    /**
     * @method ItemJobCard|null getOrPut($key, \Closure $value)
     * @method ItemJobCard|$this shift(int $count = 1)
     * @method ItemJobCard|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ItemJobCard|$this pop(int $count = 1)
     * @method ItemJobCard|null pull($key, \Closure $default = null)
     * @method ItemJobCard|null last(callable|null $callback = null, \Closure $default = null)
     * @method ItemJobCard|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ItemJobCard|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ItemJobCard|null get($key, \Closure $default = null)
     * @method ItemJobCard|null first(callable|null $callback = null, \Closure $default = null)
     * @method ItemJobCard|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ItemJobCard|null find($key, $default = null)
     * @method ItemJobCard[] all()
     */
    class _IH_ItemJobCard_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ItemJobCard[][]|Collection<_IH_ItemJobCard_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ItemJobCard_QB whereId($value)
     * @method _IH_ItemJobCard_QB whereJobCardId($value)
     * @method _IH_ItemJobCard_QB whereItemId($value)
     * @method _IH_ItemJobCard_QB whereQuantity($value)
     * @method _IH_ItemJobCard_QB whereCreatedAt($value)
     * @method _IH_ItemJobCard_QB whereUpdatedAt($value)
     * @method ItemJobCard create(array $attributes = [])
     * @method ItemJobCard createOrFirst(array $attributes = [], array $values = [])
     * @method ItemJobCard createOrRestore(array $attributes = [], array $values = [])
     * @method ItemJobCard createQuietly(array $attributes = [])
     * @method _IH_ItemJobCard_C|ItemJobCard[] cursor()
     * @method ItemJobCard[] eagerLoadRelations(array $models)
     * @method ItemJobCard|null|_IH_ItemJobCard_C|ItemJobCard[] find($id, array|string $columns = ['*'])
     * @method _IH_ItemJobCard_C|ItemJobCard[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ItemJobCard|_IH_ItemJobCard_C|ItemJobCard[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ItemJobCard|_IH_ItemJobCard_C|ItemJobCard[] findOrFail($id, array|string $columns = ['*'])
     * @method ItemJobCard|_IH_ItemJobCard_C|ItemJobCard[] findOrNew($id, array|string $columns = ['*'])
     * @method ItemJobCard first(array|string $columns = ['*'])
     * @method ItemJobCard firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ItemJobCard firstOrCreate(array $attributes = [], array $values = [])
     * @method ItemJobCard firstOrFail(array|string $columns = ['*'])
     * @method ItemJobCard firstOrNew(array $attributes = [], array $values = [])
     * @method ItemJobCard firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ItemJobCard forceCreate(array $attributes)
     * @method ItemJobCard forceCreateQuietly(array $attributes = [])
     * @method _IH_ItemJobCard_C|ItemJobCard[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ItemJobCard_C|ItemJobCard[] get(array|string $columns = ['*'])
     * @method ItemJobCard getModel()
     * @method ItemJobCard[] getModels(array|string $columns = ['*'])
     * @method _IH_ItemJobCard_C|ItemJobCard[] hydrate(array $items)
     * @method _IH_ItemJobCard_C|ItemJobCard[] lazy(int $chunkSize = 1000)
     * @method _IH_ItemJobCard_C|ItemJobCard[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ItemJobCard_C|ItemJobCard[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ItemJobCard make(array $attributes = [])
     * @method ItemJobCard newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ItemJobCard[]|_IH_ItemJobCard_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ItemJobCard restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ItemJobCard[]|_IH_ItemJobCard_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ItemJobCard sole(array|string $columns = ['*'])
     * @method ItemJobCard updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ItemJobCard_QB extends _BaseBuilder {}
    
    /**
     * @method ItemPurchaseOrder|null getOrPut($key, \Closure $value)
     * @method ItemPurchaseOrder|$this shift(int $count = 1)
     * @method ItemPurchaseOrder|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ItemPurchaseOrder|$this pop(int $count = 1)
     * @method ItemPurchaseOrder|null pull($key, \Closure $default = null)
     * @method ItemPurchaseOrder|null last(callable|null $callback = null, \Closure $default = null)
     * @method ItemPurchaseOrder|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ItemPurchaseOrder|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ItemPurchaseOrder|null get($key, \Closure $default = null)
     * @method ItemPurchaseOrder|null first(callable|null $callback = null, \Closure $default = null)
     * @method ItemPurchaseOrder|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ItemPurchaseOrder|null find($key, $default = null)
     * @method ItemPurchaseOrder[] all()
     */
    class _IH_ItemPurchaseOrder_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ItemPurchaseOrder[][]|Collection<_IH_ItemPurchaseOrder_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ItemPurchaseOrder_QB whereId($value)
     * @method _IH_ItemPurchaseOrder_QB wherePurchaseOrderId($value)
     * @method _IH_ItemPurchaseOrder_QB whereItemId($value)
     * @method _IH_ItemPurchaseOrder_QB whereQuantity($value)
     * @method _IH_ItemPurchaseOrder_QB whereAmount($value)
     * @method _IH_ItemPurchaseOrder_QB whereCreatedAt($value)
     * @method _IH_ItemPurchaseOrder_QB whereUpdatedAt($value)
     * @method ItemPurchaseOrder create(array $attributes = [])
     * @method ItemPurchaseOrder createOrFirst(array $attributes = [], array $values = [])
     * @method ItemPurchaseOrder createOrRestore(array $attributes = [], array $values = [])
     * @method ItemPurchaseOrder createQuietly(array $attributes = [])
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] cursor()
     * @method ItemPurchaseOrder[] eagerLoadRelations(array $models)
     * @method ItemPurchaseOrder|null|_IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] find($id, array|string $columns = ['*'])
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ItemPurchaseOrder|_IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ItemPurchaseOrder|_IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] findOrFail($id, array|string $columns = ['*'])
     * @method ItemPurchaseOrder|_IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] findOrNew($id, array|string $columns = ['*'])
     * @method ItemPurchaseOrder first(array|string $columns = ['*'])
     * @method ItemPurchaseOrder firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ItemPurchaseOrder firstOrCreate(array $attributes = [], array $values = [])
     * @method ItemPurchaseOrder firstOrFail(array|string $columns = ['*'])
     * @method ItemPurchaseOrder firstOrNew(array $attributes = [], array $values = [])
     * @method ItemPurchaseOrder firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ItemPurchaseOrder forceCreate(array $attributes)
     * @method ItemPurchaseOrder forceCreateQuietly(array $attributes = [])
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] get(array|string $columns = ['*'])
     * @method ItemPurchaseOrder getModel()
     * @method ItemPurchaseOrder[] getModels(array|string $columns = ['*'])
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] hydrate(array $items)
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] lazy(int $chunkSize = 1000)
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ItemPurchaseOrder make(array $attributes = [])
     * @method ItemPurchaseOrder newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ItemPurchaseOrder[]|_IH_ItemPurchaseOrder_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ItemPurchaseOrder restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ItemPurchaseOrder[]|_IH_ItemPurchaseOrder_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ItemPurchaseOrder sole(array|string $columns = ['*'])
     * @method ItemPurchaseOrder updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ItemPurchaseOrder_QB extends _BaseBuilder {}
    
    /**
     * @method Item|null getOrPut($key, \Closure $value)
     * @method Item|$this shift(int $count = 1)
     * @method Item|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Item|$this pop(int $count = 1)
     * @method Item|null pull($key, \Closure $default = null)
     * @method Item|null last(callable|null $callback = null, \Closure $default = null)
     * @method Item|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Item|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Item|null get($key, \Closure $default = null)
     * @method Item|null first(callable|null $callback = null, \Closure $default = null)
     * @method Item|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Item|null find($key, $default = null)
     * @method Item[] all()
     */
    class _IH_Item_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Item[][]|Collection<_IH_Item_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Item_QB whereId($value)
     * @method _IH_Item_QB whereFactoryId($value)
     * @method _IH_Item_QB whereShopId($value)
     * @method _IH_Item_QB whereName($value)
     * @method _IH_Item_QB whereType($value)
     * @method _IH_Item_QB whereStockLevel($value)
     * @method _IH_Item_QB whereSku($value)
     * @method _IH_Item_QB whereDimensions($value)
     * @method _IH_Item_QB whereMaterialType($value)
     * @method _IH_Item_QB whereUnitPrice($value)
     * @method _IH_Item_QB whereReorderLevel($value)
     * @method _IH_Item_QB whereCreatedAt($value)
     * @method _IH_Item_QB whereUpdatedAt($value)
     * @method Item create(array $attributes = [])
     * @method Item createOrFirst(array $attributes = [], array $values = [])
     * @method Item createOrRestore(array $attributes = [], array $values = [])
     * @method Item createQuietly(array $attributes = [])
     * @method _IH_Item_C|Item[] cursor()
     * @method Item[] eagerLoadRelations(array $models)
     * @method Item|null|_IH_Item_C|Item[] find($id, array|string $columns = ['*'])
     * @method _IH_Item_C|Item[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Item|_IH_Item_C|Item[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Item|_IH_Item_C|Item[] findOrFail($id, array|string $columns = ['*'])
     * @method Item|_IH_Item_C|Item[] findOrNew($id, array|string $columns = ['*'])
     * @method Item first(array|string $columns = ['*'])
     * @method Item firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Item firstOrCreate(array $attributes = [], array $values = [])
     * @method Item firstOrFail(array|string $columns = ['*'])
     * @method Item firstOrNew(array $attributes = [], array $values = [])
     * @method Item firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Item forceCreate(array $attributes)
     * @method Item forceCreateQuietly(array $attributes = [])
     * @method _IH_Item_C|Item[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Item_C|Item[] get(array|string $columns = ['*'])
     * @method Item getModel()
     * @method Item[] getModels(array|string $columns = ['*'])
     * @method _IH_Item_C|Item[] hydrate(array $items)
     * @method _IH_Item_C|Item[] lazy(int $chunkSize = 1000)
     * @method _IH_Item_C|Item[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Item_C|Item[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Item make(array $attributes = [])
     * @method Item newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Item[]|_IH_Item_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Item restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Item[]|_IH_Item_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Item sole(array|string $columns = ['*'])
     * @method Item updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Item_QB filter(array|null $params = null)
     * @method _IH_Item_QB filterBy(array|string $filters)
     * @method _IH_Item_QB filterFields(array|string $fields)
     * @method _IH_Item_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Item_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Item_QB extends _BaseBuilder {}
    
    /**
     * @method JobCardUpdate|null getOrPut($key, \Closure $value)
     * @method JobCardUpdate|$this shift(int $count = 1)
     * @method JobCardUpdate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method JobCardUpdate|$this pop(int $count = 1)
     * @method JobCardUpdate|null pull($key, \Closure $default = null)
     * @method JobCardUpdate|null last(callable|null $callback = null, \Closure $default = null)
     * @method JobCardUpdate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method JobCardUpdate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method JobCardUpdate|null get($key, \Closure $default = null)
     * @method JobCardUpdate|null first(callable|null $callback = null, \Closure $default = null)
     * @method JobCardUpdate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method JobCardUpdate|null find($key, $default = null)
     * @method JobCardUpdate[] all()
     */
    class _IH_JobCardUpdate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return JobCardUpdate[][]|Collection<_IH_JobCardUpdate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_JobCardUpdate_QB whereId($value)
     * @method _IH_JobCardUpdate_QB whereJobCardId($value)
     * @method _IH_JobCardUpdate_QB whereItemId($value)
     * @method _IH_JobCardUpdate_QB whereDescription($value)
     * @method _IH_JobCardUpdate_QB wherePercentageCompleted($value)
     * @method _IH_JobCardUpdate_QB whereCompletedQuantityCount($value)
     * @method _IH_JobCardUpdate_QB whereCreatedAt($value)
     * @method _IH_JobCardUpdate_QB whereUpdatedAt($value)
     * @method JobCardUpdate create(array $attributes = [])
     * @method JobCardUpdate createOrFirst(array $attributes = [], array $values = [])
     * @method JobCardUpdate createOrRestore(array $attributes = [], array $values = [])
     * @method JobCardUpdate createQuietly(array $attributes = [])
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] cursor()
     * @method JobCardUpdate[] eagerLoadRelations(array $models)
     * @method JobCardUpdate|null|_IH_JobCardUpdate_C|JobCardUpdate[] find($id, array|string $columns = ['*'])
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method JobCardUpdate|_IH_JobCardUpdate_C|JobCardUpdate[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method JobCardUpdate|_IH_JobCardUpdate_C|JobCardUpdate[] findOrFail($id, array|string $columns = ['*'])
     * @method JobCardUpdate|_IH_JobCardUpdate_C|JobCardUpdate[] findOrNew($id, array|string $columns = ['*'])
     * @method JobCardUpdate first(array|string $columns = ['*'])
     * @method JobCardUpdate firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method JobCardUpdate firstOrCreate(array $attributes = [], array $values = [])
     * @method JobCardUpdate firstOrFail(array|string $columns = ['*'])
     * @method JobCardUpdate firstOrNew(array $attributes = [], array $values = [])
     * @method JobCardUpdate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method JobCardUpdate forceCreate(array $attributes)
     * @method JobCardUpdate forceCreateQuietly(array $attributes = [])
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] get(array|string $columns = ['*'])
     * @method JobCardUpdate getModel()
     * @method JobCardUpdate[] getModels(array|string $columns = ['*'])
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] hydrate(array $items)
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] lazy(int $chunkSize = 1000)
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_JobCardUpdate_C|JobCardUpdate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method JobCardUpdate make(array $attributes = [])
     * @method JobCardUpdate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|JobCardUpdate[]|_IH_JobCardUpdate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method JobCardUpdate restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|JobCardUpdate[]|_IH_JobCardUpdate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method JobCardUpdate sole(array|string $columns = ['*'])
     * @method JobCardUpdate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_JobCardUpdate_QB extends _BaseBuilder {}
    
    /**
     * @method JobCard|null getOrPut($key, \Closure $value)
     * @method JobCard|$this shift(int $count = 1)
     * @method JobCard|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method JobCard|$this pop(int $count = 1)
     * @method JobCard|null pull($key, \Closure $default = null)
     * @method JobCard|null last(callable|null $callback = null, \Closure $default = null)
     * @method JobCard|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method JobCard|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method JobCard|null get($key, \Closure $default = null)
     * @method JobCard|null first(callable|null $callback = null, \Closure $default = null)
     * @method JobCard|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method JobCard|null find($key, $default = null)
     * @method JobCard[] all()
     */
    class _IH_JobCard_C extends _BaseCollection {
        /**
         * @param int $size
         * @return JobCard[][]|Collection<_IH_JobCard_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_JobCard_QB whereId($value)
     * @method _IH_JobCard_QB wherePurchaseOrderId($value)
     * @method _IH_JobCard_QB whereDescription($value)
     * @method _IH_JobCard_QB whereStartDate($value)
     * @method _IH_JobCard_QB whereEndDate($value)
     * @method _IH_JobCard_QB wherePercentageCompleted($value)
     * @method _IH_JobCard_QB whereCompletedQuantityCount($value)
     * @method _IH_JobCard_QB whereStatus($value)
     * @method _IH_JobCard_QB whereCreatedAt($value)
     * @method _IH_JobCard_QB whereUpdatedAt($value)
     * @method JobCard create(array $attributes = [])
     * @method JobCard createOrFirst(array $attributes = [], array $values = [])
     * @method JobCard createOrRestore(array $attributes = [], array $values = [])
     * @method JobCard createQuietly(array $attributes = [])
     * @method _IH_JobCard_C|JobCard[] cursor()
     * @method JobCard[] eagerLoadRelations(array $models)
     * @method JobCard|null|_IH_JobCard_C|JobCard[] find($id, array|string $columns = ['*'])
     * @method _IH_JobCard_C|JobCard[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method JobCard|_IH_JobCard_C|JobCard[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method JobCard|_IH_JobCard_C|JobCard[] findOrFail($id, array|string $columns = ['*'])
     * @method JobCard|_IH_JobCard_C|JobCard[] findOrNew($id, array|string $columns = ['*'])
     * @method JobCard first(array|string $columns = ['*'])
     * @method JobCard firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method JobCard firstOrCreate(array $attributes = [], array $values = [])
     * @method JobCard firstOrFail(array|string $columns = ['*'])
     * @method JobCard firstOrNew(array $attributes = [], array $values = [])
     * @method JobCard firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method JobCard forceCreate(array $attributes)
     * @method JobCard forceCreateQuietly(array $attributes = [])
     * @method _IH_JobCard_C|JobCard[] fromQuery(string $query, array $bindings = [])
     * @method _IH_JobCard_C|JobCard[] get(array|string $columns = ['*'])
     * @method JobCard getModel()
     * @method JobCard[] getModels(array|string $columns = ['*'])
     * @method _IH_JobCard_C|JobCard[] hydrate(array $items)
     * @method _IH_JobCard_C|JobCard[] lazy(int $chunkSize = 1000)
     * @method _IH_JobCard_C|JobCard[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_JobCard_C|JobCard[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method JobCard make(array $attributes = [])
     * @method JobCard newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|JobCard[]|_IH_JobCard_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method JobCard restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|JobCard[]|_IH_JobCard_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method JobCard sole(array|string $columns = ['*'])
     * @method JobCard updateOrCreate(array $attributes, array $values = [])
     * @method _IH_JobCard_QB filter(array|null $params = null)
     * @method _IH_JobCard_QB filterBy(array|string $filters)
     * @method _IH_JobCard_QB filterFields(array|string $fields)
     * @method _IH_JobCard_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_JobCard_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_JobCard_QB extends _BaseBuilder {}
    
    /**
     * @method OutsourcedJob|null getOrPut($key, \Closure $value)
     * @method OutsourcedJob|$this shift(int $count = 1)
     * @method OutsourcedJob|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OutsourcedJob|$this pop(int $count = 1)
     * @method OutsourcedJob|null pull($key, \Closure $default = null)
     * @method OutsourcedJob|null last(callable|null $callback = null, \Closure $default = null)
     * @method OutsourcedJob|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OutsourcedJob|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OutsourcedJob|null get($key, \Closure $default = null)
     * @method OutsourcedJob|null first(callable|null $callback = null, \Closure $default = null)
     * @method OutsourcedJob|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OutsourcedJob|null find($key, $default = null)
     * @method OutsourcedJob[] all()
     */
    class _IH_OutsourcedJob_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OutsourcedJob[][]|Collection<_IH_OutsourcedJob_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OutsourcedJob_QB whereId($value)
     * @method _IH_OutsourcedJob_QB whereJobCardId($value)
     * @method _IH_OutsourcedJob_QB whereVendorId($value)
     * @method _IH_OutsourcedJob_QB whereDescription($value)
     * @method _IH_OutsourcedJob_QB whereCost($value)
     * @method _IH_OutsourcedJob_QB whereStatus($value)
     * @method _IH_OutsourcedJob_QB whereCreatedAt($value)
     * @method _IH_OutsourcedJob_QB whereUpdatedAt($value)
     * @method OutsourcedJob create(array $attributes = [])
     * @method OutsourcedJob createOrFirst(array $attributes = [], array $values = [])
     * @method OutsourcedJob createOrRestore(array $attributes = [], array $values = [])
     * @method OutsourcedJob createQuietly(array $attributes = [])
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] cursor()
     * @method OutsourcedJob[] eagerLoadRelations(array $models)
     * @method OutsourcedJob|null|_IH_OutsourcedJob_C|OutsourcedJob[] find($id, array|string $columns = ['*'])
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OutsourcedJob|_IH_OutsourcedJob_C|OutsourcedJob[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method OutsourcedJob|_IH_OutsourcedJob_C|OutsourcedJob[] findOrFail($id, array|string $columns = ['*'])
     * @method OutsourcedJob|_IH_OutsourcedJob_C|OutsourcedJob[] findOrNew($id, array|string $columns = ['*'])
     * @method OutsourcedJob first(array|string $columns = ['*'])
     * @method OutsourcedJob firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method OutsourcedJob firstOrCreate(array $attributes = [], array $values = [])
     * @method OutsourcedJob firstOrFail(array|string $columns = ['*'])
     * @method OutsourcedJob firstOrNew(array $attributes = [], array $values = [])
     * @method OutsourcedJob firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OutsourcedJob forceCreate(array $attributes)
     * @method OutsourcedJob forceCreateQuietly(array $attributes = [])
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] get(array|string $columns = ['*'])
     * @method OutsourcedJob getModel()
     * @method OutsourcedJob[] getModels(array|string $columns = ['*'])
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] hydrate(array $items)
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] lazy(int $chunkSize = 1000)
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OutsourcedJob_C|OutsourcedJob[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OutsourcedJob make(array $attributes = [])
     * @method OutsourcedJob newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OutsourcedJob[]|_IH_OutsourcedJob_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method OutsourcedJob restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|OutsourcedJob[]|_IH_OutsourcedJob_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OutsourcedJob sole(array|string $columns = ['*'])
     * @method OutsourcedJob updateOrCreate(array $attributes, array $values = [])
     * @method _IH_OutsourcedJob_QB filter(array|null $params = null)
     * @method _IH_OutsourcedJob_QB filterBy(array|string $filters)
     * @method _IH_OutsourcedJob_QB filterFields(array|string $fields)
     * @method _IH_OutsourcedJob_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_OutsourcedJob_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_OutsourcedJob_QB extends _BaseBuilder {}
    
    /**
     * @method Payment|null getOrPut($key, \Closure $value)
     * @method Payment|$this shift(int $count = 1)
     * @method Payment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Payment|$this pop(int $count = 1)
     * @method Payment|null pull($key, \Closure $default = null)
     * @method Payment|null last(callable|null $callback = null, \Closure $default = null)
     * @method Payment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Payment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Payment|null get($key, \Closure $default = null)
     * @method Payment|null first(callable|null $callback = null, \Closure $default = null)
     * @method Payment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Payment|null find($key, $default = null)
     * @method Payment[] all()
     */
    class _IH_Payment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Payment[][]|Collection<_IH_Payment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Payment_QB whereId($value)
     * @method _IH_Payment_QB whereBillId($value)
     * @method _IH_Payment_QB whereIsCredit($value)
     * @method _IH_Payment_QB whereMode($value)
     * @method _IH_Payment_QB whereAmount($value)
     * @method _IH_Payment_QB whereDescription($value)
     * @method _IH_Payment_QB whereCreatedAt($value)
     * @method _IH_Payment_QB whereUpdatedAt($value)
     * @method Payment create(array $attributes = [])
     * @method Payment createOrFirst(array $attributes = [], array $values = [])
     * @method Payment createOrRestore(array $attributes = [], array $values = [])
     * @method Payment createQuietly(array $attributes = [])
     * @method _IH_Payment_C|Payment[] cursor()
     * @method Payment[] eagerLoadRelations(array $models)
     * @method Payment|null|_IH_Payment_C|Payment[] find($id, array|string $columns = ['*'])
     * @method _IH_Payment_C|Payment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Payment|_IH_Payment_C|Payment[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Payment|_IH_Payment_C|Payment[] findOrFail($id, array|string $columns = ['*'])
     * @method Payment|_IH_Payment_C|Payment[] findOrNew($id, array|string $columns = ['*'])
     * @method Payment first(array|string $columns = ['*'])
     * @method Payment firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Payment firstOrCreate(array $attributes = [], array $values = [])
     * @method Payment firstOrFail(array|string $columns = ['*'])
     * @method Payment firstOrNew(array $attributes = [], array $values = [])
     * @method Payment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Payment forceCreate(array $attributes)
     * @method Payment forceCreateQuietly(array $attributes = [])
     * @method _IH_Payment_C|Payment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Payment_C|Payment[] get(array|string $columns = ['*'])
     * @method Payment getModel()
     * @method Payment[] getModels(array|string $columns = ['*'])
     * @method _IH_Payment_C|Payment[] hydrate(array $items)
     * @method _IH_Payment_C|Payment[] lazy(int $chunkSize = 1000)
     * @method _IH_Payment_C|Payment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Payment_C|Payment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Payment make(array $attributes = [])
     * @method Payment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Payment[]|_IH_Payment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Payment restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Payment[]|_IH_Payment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Payment sole(array|string $columns = ['*'])
     * @method Payment updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Payment_QB filter(array|null $params = null)
     * @method _IH_Payment_QB filterBy(array|string $filters)
     * @method _IH_Payment_QB filterFields(array|string $fields)
     * @method _IH_Payment_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Payment_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Payment_QB extends _BaseBuilder {}
    
    /**
     * @method PurchaseOrder|null getOrPut($key, \Closure $value)
     * @method PurchaseOrder|$this shift(int $count = 1)
     * @method PurchaseOrder|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PurchaseOrder|$this pop(int $count = 1)
     * @method PurchaseOrder|null pull($key, \Closure $default = null)
     * @method PurchaseOrder|null last(callable|null $callback = null, \Closure $default = null)
     * @method PurchaseOrder|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PurchaseOrder|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PurchaseOrder|null get($key, \Closure $default = null)
     * @method PurchaseOrder|null first(callable|null $callback = null, \Closure $default = null)
     * @method PurchaseOrder|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PurchaseOrder|null find($key, $default = null)
     * @method PurchaseOrder[] all()
     */
    class _IH_PurchaseOrder_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PurchaseOrder[][]|Collection<_IH_PurchaseOrder_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PurchaseOrder_QB whereId($value)
     * @method _IH_PurchaseOrder_QB whereFactoryId($value)
     * @method _IH_PurchaseOrder_QB whereCustomerId($value)
     * @method _IH_PurchaseOrder_QB whereDeliveryDate($value)
     * @method _IH_PurchaseOrder_QB whereTotalAmount($value)
     * @method _IH_PurchaseOrder_QB whereCreatedAt($value)
     * @method _IH_PurchaseOrder_QB whereUpdatedAt($value)
     * @method PurchaseOrder create(array $attributes = [])
     * @method PurchaseOrder createOrFirst(array $attributes = [], array $values = [])
     * @method PurchaseOrder createOrRestore(array $attributes = [], array $values = [])
     * @method PurchaseOrder createQuietly(array $attributes = [])
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] cursor()
     * @method PurchaseOrder[] eagerLoadRelations(array $models)
     * @method PurchaseOrder|null|_IH_PurchaseOrder_C|PurchaseOrder[] find($id, array|string $columns = ['*'])
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PurchaseOrder|_IH_PurchaseOrder_C|PurchaseOrder[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PurchaseOrder|_IH_PurchaseOrder_C|PurchaseOrder[] findOrFail($id, array|string $columns = ['*'])
     * @method PurchaseOrder|_IH_PurchaseOrder_C|PurchaseOrder[] findOrNew($id, array|string $columns = ['*'])
     * @method PurchaseOrder first(array|string $columns = ['*'])
     * @method PurchaseOrder firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PurchaseOrder firstOrCreate(array $attributes = [], array $values = [])
     * @method PurchaseOrder firstOrFail(array|string $columns = ['*'])
     * @method PurchaseOrder firstOrNew(array $attributes = [], array $values = [])
     * @method PurchaseOrder firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PurchaseOrder forceCreate(array $attributes)
     * @method PurchaseOrder forceCreateQuietly(array $attributes = [])
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] get(array|string $columns = ['*'])
     * @method PurchaseOrder getModel()
     * @method PurchaseOrder[] getModels(array|string $columns = ['*'])
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] hydrate(array $items)
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] lazy(int $chunkSize = 1000)
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PurchaseOrder_C|PurchaseOrder[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PurchaseOrder make(array $attributes = [])
     * @method PurchaseOrder newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PurchaseOrder[]|_IH_PurchaseOrder_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method PurchaseOrder restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PurchaseOrder[]|_IH_PurchaseOrder_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PurchaseOrder sole(array|string $columns = ['*'])
     * @method PurchaseOrder updateOrCreate(array $attributes, array $values = [])
     * @method _IH_PurchaseOrder_QB filter(array|null $params = null)
     * @method _IH_PurchaseOrder_QB filterBy(array|string $filters)
     * @method _IH_PurchaseOrder_QB filterFields(array|string $fields)
     * @method _IH_PurchaseOrder_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_PurchaseOrder_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_PurchaseOrder_QB extends _BaseBuilder {}
    
    /**
     * @method SaleOrder|null getOrPut($key, \Closure $value)
     * @method SaleOrder|$this shift(int $count = 1)
     * @method SaleOrder|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SaleOrder|$this pop(int $count = 1)
     * @method SaleOrder|null pull($key, \Closure $default = null)
     * @method SaleOrder|null last(callable|null $callback = null, \Closure $default = null)
     * @method SaleOrder|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SaleOrder|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SaleOrder|null get($key, \Closure $default = null)
     * @method SaleOrder|null first(callable|null $callback = null, \Closure $default = null)
     * @method SaleOrder|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SaleOrder|null find($key, $default = null)
     * @method SaleOrder[] all()
     */
    class _IH_SaleOrder_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SaleOrder[][]|Collection<_IH_SaleOrder_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SaleOrder_QB whereId($value)
     * @method _IH_SaleOrder_QB wherePurchaseOrderId($value)
     * @method _IH_SaleOrder_QB whereDeliveryDate($value)
     * @method _IH_SaleOrder_QB whereDeliveryStatus($value)
     * @method _IH_SaleOrder_QB whereChallan($value)
     * @method _IH_SaleOrder_QB whereCreatedAt($value)
     * @method _IH_SaleOrder_QB whereUpdatedAt($value)
     * @method SaleOrder create(array $attributes = [])
     * @method SaleOrder createOrFirst(array $attributes = [], array $values = [])
     * @method SaleOrder createOrRestore(array $attributes = [], array $values = [])
     * @method SaleOrder createQuietly(array $attributes = [])
     * @method _IH_SaleOrder_C|SaleOrder[] cursor()
     * @method SaleOrder[] eagerLoadRelations(array $models)
     * @method SaleOrder|null|_IH_SaleOrder_C|SaleOrder[] find($id, array|string $columns = ['*'])
     * @method _IH_SaleOrder_C|SaleOrder[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SaleOrder|_IH_SaleOrder_C|SaleOrder[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method SaleOrder|_IH_SaleOrder_C|SaleOrder[] findOrFail($id, array|string $columns = ['*'])
     * @method SaleOrder|_IH_SaleOrder_C|SaleOrder[] findOrNew($id, array|string $columns = ['*'])
     * @method SaleOrder first(array|string $columns = ['*'])
     * @method SaleOrder firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method SaleOrder firstOrCreate(array $attributes = [], array $values = [])
     * @method SaleOrder firstOrFail(array|string $columns = ['*'])
     * @method SaleOrder firstOrNew(array $attributes = [], array $values = [])
     * @method SaleOrder firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SaleOrder forceCreate(array $attributes)
     * @method SaleOrder forceCreateQuietly(array $attributes = [])
     * @method _IH_SaleOrder_C|SaleOrder[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SaleOrder_C|SaleOrder[] get(array|string $columns = ['*'])
     * @method SaleOrder getModel()
     * @method SaleOrder[] getModels(array|string $columns = ['*'])
     * @method _IH_SaleOrder_C|SaleOrder[] hydrate(array $items)
     * @method _IH_SaleOrder_C|SaleOrder[] lazy(int $chunkSize = 1000)
     * @method _IH_SaleOrder_C|SaleOrder[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SaleOrder_C|SaleOrder[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SaleOrder make(array $attributes = [])
     * @method SaleOrder newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SaleOrder[]|_IH_SaleOrder_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method SaleOrder restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SaleOrder[]|_IH_SaleOrder_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SaleOrder sole(array|string $columns = ['*'])
     * @method SaleOrder updateOrCreate(array $attributes, array $values = [])
     * @method _IH_SaleOrder_QB filter(array|null $params = null)
     * @method _IH_SaleOrder_QB filterBy(array|string $filters)
     * @method _IH_SaleOrder_QB filterFields(array|string $fields)
     * @method _IH_SaleOrder_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_SaleOrder_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_SaleOrder_QB extends _BaseBuilder {}
    
    /**
     * @method Shop|null getOrPut($key, \Closure $value)
     * @method Shop|$this shift(int $count = 1)
     * @method Shop|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Shop|$this pop(int $count = 1)
     * @method Shop|null pull($key, \Closure $default = null)
     * @method Shop|null last(callable|null $callback = null, \Closure $default = null)
     * @method Shop|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Shop|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Shop|null get($key, \Closure $default = null)
     * @method Shop|null first(callable|null $callback = null, \Closure $default = null)
     * @method Shop|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Shop|null find($key, $default = null)
     * @method Shop[] all()
     */
    class _IH_Shop_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Shop[][]|Collection<_IH_Shop_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Shop_QB whereId($value)
     * @method _IH_Shop_QB whereName($value)
     * @method _IH_Shop_QB whereLocation($value)
     * @method _IH_Shop_QB whereCreatedAt($value)
     * @method _IH_Shop_QB whereUpdatedAt($value)
     * @method Shop create(array $attributes = [])
     * @method Shop createOrFirst(array $attributes = [], array $values = [])
     * @method Shop createOrRestore(array $attributes = [], array $values = [])
     * @method Shop createQuietly(array $attributes = [])
     * @method _IH_Shop_C|Shop[] cursor()
     * @method Shop[] eagerLoadRelations(array $models)
     * @method Shop|null|_IH_Shop_C|Shop[] find($id, array|string $columns = ['*'])
     * @method _IH_Shop_C|Shop[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Shop|_IH_Shop_C|Shop[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Shop|_IH_Shop_C|Shop[] findOrFail($id, array|string $columns = ['*'])
     * @method Shop|_IH_Shop_C|Shop[] findOrNew($id, array|string $columns = ['*'])
     * @method Shop first(array|string $columns = ['*'])
     * @method Shop firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Shop firstOrCreate(array $attributes = [], array $values = [])
     * @method Shop firstOrFail(array|string $columns = ['*'])
     * @method Shop firstOrNew(array $attributes = [], array $values = [])
     * @method Shop firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Shop forceCreate(array $attributes)
     * @method Shop forceCreateQuietly(array $attributes = [])
     * @method _IH_Shop_C|Shop[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Shop_C|Shop[] get(array|string $columns = ['*'])
     * @method Shop getModel()
     * @method Shop[] getModels(array|string $columns = ['*'])
     * @method _IH_Shop_C|Shop[] hydrate(array $items)
     * @method _IH_Shop_C|Shop[] lazy(int $chunkSize = 1000)
     * @method _IH_Shop_C|Shop[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Shop_C|Shop[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Shop make(array $attributes = [])
     * @method Shop newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Shop[]|_IH_Shop_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Shop restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Shop[]|_IH_Shop_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Shop sole(array|string $columns = ['*'])
     * @method Shop updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Shop_QB filter(array|null $params = null)
     * @method _IH_Shop_QB filterBy(array|string $filters)
     * @method _IH_Shop_QB filterFields(array|string $fields)
     * @method _IH_Shop_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Shop_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Shop_QB extends _BaseBuilder {}
    
    /**
     * @method Supply|null getOrPut($key, \Closure $value)
     * @method Supply|$this shift(int $count = 1)
     * @method Supply|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Supply|$this pop(int $count = 1)
     * @method Supply|null pull($key, \Closure $default = null)
     * @method Supply|null last(callable|null $callback = null, \Closure $default = null)
     * @method Supply|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Supply|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Supply|null get($key, \Closure $default = null)
     * @method Supply|null first(callable|null $callback = null, \Closure $default = null)
     * @method Supply|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Supply|null find($key, $default = null)
     * @method Supply[] all()
     */
    class _IH_Supply_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Supply[][]|Collection<_IH_Supply_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Supply_QB whereId($value)
     * @method _IH_Supply_QB whereVendorId($value)
     * @method _IH_Supply_QB whereItemId($value)
     * @method _IH_Supply_QB whereQuantity($value)
     * @method _IH_Supply_QB whereTotalAmount($value)
     * @method _IH_Supply_QB whereUnitPrice($value)
     * @method _IH_Supply_QB whereCreatedAt($value)
     * @method _IH_Supply_QB whereUpdatedAt($value)
     * @method Supply create(array $attributes = [])
     * @method Supply createOrFirst(array $attributes = [], array $values = [])
     * @method Supply createOrRestore(array $attributes = [], array $values = [])
     * @method Supply createQuietly(array $attributes = [])
     * @method _IH_Supply_C|Supply[] cursor()
     * @method Supply[] eagerLoadRelations(array $models)
     * @method Supply|null|_IH_Supply_C|Supply[] find($id, array|string $columns = ['*'])
     * @method _IH_Supply_C|Supply[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Supply|_IH_Supply_C|Supply[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Supply|_IH_Supply_C|Supply[] findOrFail($id, array|string $columns = ['*'])
     * @method Supply|_IH_Supply_C|Supply[] findOrNew($id, array|string $columns = ['*'])
     * @method Supply first(array|string $columns = ['*'])
     * @method Supply firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Supply firstOrCreate(array $attributes = [], array $values = [])
     * @method Supply firstOrFail(array|string $columns = ['*'])
     * @method Supply firstOrNew(array $attributes = [], array $values = [])
     * @method Supply firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Supply forceCreate(array $attributes)
     * @method Supply forceCreateQuietly(array $attributes = [])
     * @method _IH_Supply_C|Supply[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Supply_C|Supply[] get(array|string $columns = ['*'])
     * @method Supply getModel()
     * @method Supply[] getModels(array|string $columns = ['*'])
     * @method _IH_Supply_C|Supply[] hydrate(array $items)
     * @method _IH_Supply_C|Supply[] lazy(int $chunkSize = 1000)
     * @method _IH_Supply_C|Supply[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Supply_C|Supply[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Supply make(array $attributes = [])
     * @method Supply newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Supply[]|_IH_Supply_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Supply restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Supply[]|_IH_Supply_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Supply sole(array|string $columns = ['*'])
     * @method Supply updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Supply_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable|null $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable|null $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereFactoryId($value)
     * @method _IH_User_QB whereShopId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB whereMobileNo($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRole($value)
     * @method _IH_User_QB whereLastLoginAt($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createOrRestore(array $attributes = [], array $values = [])
     * @method User createQuietly(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User[] eagerLoadRelations(array $models)
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     * @method _IH_User_QB filter(array|null $params = null)
     * @method _IH_User_QB filterBy(array|string $filters)
     * @method _IH_User_QB filterFields(array|string $fields)
     * @method _IH_User_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_User_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_User_QB extends _BaseBuilder {}
    
    /**
     * @method Vendor|null getOrPut($key, \Closure $value)
     * @method Vendor|$this shift(int $count = 1)
     * @method Vendor|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Vendor|$this pop(int $count = 1)
     * @method Vendor|null pull($key, \Closure $default = null)
     * @method Vendor|null last(callable|null $callback = null, \Closure $default = null)
     * @method Vendor|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Vendor|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Vendor|null get($key, \Closure $default = null)
     * @method Vendor|null first(callable|null $callback = null, \Closure $default = null)
     * @method Vendor|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Vendor|null find($key, $default = null)
     * @method Vendor[] all()
     */
    class _IH_Vendor_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Vendor[][]|Collection<_IH_Vendor_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Vendor_QB whereId($value)
     * @method _IH_Vendor_QB whereName($value)
     * @method _IH_Vendor_QB whereEmail($value)
     * @method _IH_Vendor_QB whereMobileNo($value)
     * @method _IH_Vendor_QB whereAddress($value)
     * @method _IH_Vendor_QB whereForOutsourceJob($value)
     * @method _IH_Vendor_QB whereCreatedAt($value)
     * @method _IH_Vendor_QB whereUpdatedAt($value)
     * @method Vendor create(array $attributes = [])
     * @method Vendor createOrFirst(array $attributes = [], array $values = [])
     * @method Vendor createOrRestore(array $attributes = [], array $values = [])
     * @method Vendor createQuietly(array $attributes = [])
     * @method _IH_Vendor_C|Vendor[] cursor()
     * @method Vendor[] eagerLoadRelations(array $models)
     * @method Vendor|null|_IH_Vendor_C|Vendor[] find($id, array|string $columns = ['*'])
     * @method _IH_Vendor_C|Vendor[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Vendor|_IH_Vendor_C|Vendor[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Vendor|_IH_Vendor_C|Vendor[] findOrFail($id, array|string $columns = ['*'])
     * @method Vendor|_IH_Vendor_C|Vendor[] findOrNew($id, array|string $columns = ['*'])
     * @method Vendor first(array|string $columns = ['*'])
     * @method Vendor firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Vendor firstOrCreate(array $attributes = [], array $values = [])
     * @method Vendor firstOrFail(array|string $columns = ['*'])
     * @method Vendor firstOrNew(array $attributes = [], array $values = [])
     * @method Vendor firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Vendor forceCreate(array $attributes)
     * @method Vendor forceCreateQuietly(array $attributes = [])
     * @method _IH_Vendor_C|Vendor[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Vendor_C|Vendor[] get(array|string $columns = ['*'])
     * @method Vendor getModel()
     * @method Vendor[] getModels(array|string $columns = ['*'])
     * @method _IH_Vendor_C|Vendor[] hydrate(array $items)
     * @method _IH_Vendor_C|Vendor[] lazy(int $chunkSize = 1000)
     * @method _IH_Vendor_C|Vendor[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Vendor_C|Vendor[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Vendor make(array $attributes = [])
     * @method Vendor newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Vendor[]|_IH_Vendor_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Vendor restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Vendor[]|_IH_Vendor_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Vendor sole(array|string $columns = ['*'])
     * @method Vendor updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Vendor_QB filter(array|null $params = null)
     * @method _IH_Vendor_QB filterBy(array|string $filters)
     * @method _IH_Vendor_QB filterFields(array|string $fields)
     * @method _IH_Vendor_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Vendor_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Vendor_QB extends _BaseBuilder {}
}