<?php //5e5080b0626c59d50bbba7c7b0298c52
/** @noinspection all */

namespace App\Models {

    use Database\Factories\BillFactory;
    use Database\Factories\CustomerFactory;
    use Database\Factories\FactoryFactory;
    use Database\Factories\ItemFactory;
    use Database\Factories\JobCardFactory;
    use Database\Factories\JobCardUpdateFactory;
    use Database\Factories\OutsourcedJobFactory;
    use Database\Factories\PaymentFactory;
    use Database\Factories\PurchaseOrderFactory;
    use Database\Factories\SaleOrderFactory;
    use Database\Factories\ShopFactory;
    use Database\Factories\SupplyFactory;
    use Database\Factories\UserFactory;
    use Database\Factories\VendorFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_BillItem_C;
    use LaravelIdea\Helper\App\Models\_IH_BillItem_QB;
    use LaravelIdea\Helper\App\Models\_IH_Bill_C;
    use LaravelIdea\Helper\App\Models\_IH_Bill_QB;
    use LaravelIdea\Helper\App\Models\_IH_Customer_C;
    use LaravelIdea\Helper\App\Models\_IH_Customer_QB;
    use LaravelIdea\Helper\App\Models\_IH_Factory_C;
    use LaravelIdea\Helper\App\Models\_IH_Factory_QB;
    use LaravelIdea\Helper\App\Models\_IH_ItemJobCard_C;
    use LaravelIdea\Helper\App\Models\_IH_ItemJobCard_QB;
    use LaravelIdea\Helper\App\Models\_IH_ItemPurchaseOrder_C;
    use LaravelIdea\Helper\App\Models\_IH_ItemPurchaseOrder_QB;
    use LaravelIdea\Helper\App\Models\_IH_Item_C;
    use LaravelIdea\Helper\App\Models\_IH_Item_QB;
    use LaravelIdea\Helper\App\Models\_IH_JobCardUpdate_C;
    use LaravelIdea\Helper\App\Models\_IH_JobCardUpdate_QB;
    use LaravelIdea\Helper\App\Models\_IH_JobCard_C;
    use LaravelIdea\Helper\App\Models\_IH_JobCard_QB;
    use LaravelIdea\Helper\App\Models\_IH_OutsourcedJob_C;
    use LaravelIdea\Helper\App\Models\_IH_OutsourcedJob_QB;
    use LaravelIdea\Helper\App\Models\_IH_Payment_C;
    use LaravelIdea\Helper\App\Models\_IH_Payment_QB;
    use LaravelIdea\Helper\App\Models\_IH_PurchaseOrder_C;
    use LaravelIdea\Helper\App\Models\_IH_PurchaseOrder_QB;
    use LaravelIdea\Helper\App\Models\_IH_SaleOrder_C;
    use LaravelIdea\Helper\App\Models\_IH_SaleOrder_QB;
    use LaravelIdea\Helper\App\Models\_IH_Shop_C;
    use LaravelIdea\Helper\App\Models\_IH_Shop_QB;
    use LaravelIdea\Helper\App\Models\_IH_Supply_C;
    use LaravelIdea\Helper\App\Models\_IH_Supply_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\App\Models\_IH_Vendor_C;
    use LaravelIdea\Helper\App\Models\_IH_Vendor_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;
    
    /**
     * @property int $id
     * @property int $sale_order_id
     * @property int $purchase_order_id
     * @property int $customer_id
     * @property string|null $invoice_number
     * @property int $total_amount
     * @property bool $is_direct
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Customer $customer
     * @method BelongsTo|_IH_Customer_QB customer()
     * @property _IH_Item_C|Item[] $items
     * @property-read int $items_count
     * @method BelongsToMany|_IH_Item_QB items()
     * @property Payment $payment
     * @method HasOne|_IH_Payment_QB payment()
     * @property PurchaseOrder $purchaseOrder
     * @method BelongsTo|_IH_PurchaseOrder_QB purchaseOrder()
     * @property SaleOrder $saleOrder
     * @method BelongsTo|_IH_SaleOrder_QB saleOrder()
     * @method static _IH_Bill_QB onWriteConnection()
     * @method _IH_Bill_QB newQuery()
     * @method static _IH_Bill_QB on(null|string $connection = null)
     * @method static _IH_Bill_QB query()
     * @method static _IH_Bill_QB with(array|string $relations)
     * @method _IH_Bill_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Bill_C|Bill[] all()
     * @ownLinks sale_order_id,\App\Models\SaleOrder,id|purchase_order_id,\App\Models\PurchaseOrder,id|customer_id,\App\Models\Customer,id
     * @foreignLinks id,\App\Models\BillItem,bill_id|id,\App\Models\Payment,bill_id
     * @mixin _IH_Bill_QB
     * @method static BillFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Bill extends Model {}
    
    /**
     * @property int $id
     * @property int $bill_id
     * @property int $item_id
     * @property int $quantity
     * @property int $amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_BillItem_QB onWriteConnection()
     * @method _IH_BillItem_QB newQuery()
     * @method static _IH_BillItem_QB on(null|string $connection = null)
     * @method static _IH_BillItem_QB query()
     * @method static _IH_BillItem_QB with(array|string $relations)
     * @method _IH_BillItem_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BillItem_C|BillItem[] all()
     * @ownLinks bill_id,\App\Models\Bill,id|item_id,\App\Models\Item,id
     * @mixin _IH_BillItem_QB
     */
    class BillItem extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property string $mobile_no
     * @property string|null $address
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Customer_QB onWriteConnection()
     * @method _IH_Customer_QB newQuery()
     * @method static _IH_Customer_QB on(null|string $connection = null)
     * @method static _IH_Customer_QB query()
     * @method static _IH_Customer_QB with(array|string $relations)
     * @method _IH_Customer_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Customer_C|Customer[] all()
     * @foreignLinks id,\App\Models\PurchaseOrder,customer_id|id,\App\Models\Bill,customer_id
     * @mixin _IH_Customer_QB
     * @method static CustomerFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Customer extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $location
     * @property bool $is_warehouse
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Factory_QB onWriteConnection()
     * @method _IH_Factory_QB newQuery()
     * @method static _IH_Factory_QB on(null|string $connection = null)
     * @method static _IH_Factory_QB query()
     * @method static _IH_Factory_QB with(array|string $relations)
     * @method _IH_Factory_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Factory_C|Factory[] all()
     * @foreignLinks id,\App\Models\User,factory_id|id,\App\Models\Item,factory_id|id,\App\Models\PurchaseOrder,factory_id
     * @mixin _IH_Factory_QB
     * @method static FactoryFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Factory extends Model {}
    
    /**
     * @property int $id
     * @property int|null $factory_id
     * @property int|null $shop_id
     * @property string $name
     * @property string $type
     * @property int $stock_level
     * @property string|null $sku
     * @property string|null $dimensions
     * @property string|null $material_type
     * @property int $unit_price
     * @property int $reorder_level
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Factory|null $factoryRelation
     * @method BelongsTo|_IH_Factory_QB factoryRelation()
     * @property Shop|null $shop
     * @method BelongsTo|_IH_Shop_QB shop()
     * @method static _IH_Item_QB onWriteConnection()
     * @method _IH_Item_QB newQuery()
     * @method static _IH_Item_QB on(null|string $connection = null)
     * @method static _IH_Item_QB query()
     * @method static _IH_Item_QB with(array|string $relations)
     * @method _IH_Item_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Item_C|Item[] all()
     * @ownLinks factory_id,\App\Models\Factory,id|shop_id,\App\Models\Shop,id
     * @foreignLinks id,\App\Models\Supply,item_id|id,\App\Models\ItemJobCard,item_id|id,\App\Models\JobCardUpdate,item_id|id,\App\Models\BillItem,item_id|id,\App\Models\ItemPurchaseOrder,item_id
     * @mixin _IH_Item_QB
     * @method static ItemFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Item extends Model {}
    
    /**
     * @property int $id
     * @property int $job_card_id
     * @property int $item_id
     * @property int $quantity
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ItemJobCard_QB onWriteConnection()
     * @method _IH_ItemJobCard_QB newQuery()
     * @method static _IH_ItemJobCard_QB on(null|string $connection = null)
     * @method static _IH_ItemJobCard_QB query()
     * @method static _IH_ItemJobCard_QB with(array|string $relations)
     * @method _IH_ItemJobCard_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ItemJobCard_C|ItemJobCard[] all()
     * @ownLinks job_card_id,\App\Models\JobCard,id|item_id,\App\Models\Item,id
     * @mixin _IH_ItemJobCard_QB
     */
    class ItemJobCard extends Model {}
    
    /**
     * @property int $id
     * @property int $purchase_order_id
     * @property int $item_id
     * @property int $quantity
     * @property int $amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ItemPurchaseOrder_QB onWriteConnection()
     * @method _IH_ItemPurchaseOrder_QB newQuery()
     * @method static _IH_ItemPurchaseOrder_QB on(null|string $connection = null)
     * @method static _IH_ItemPurchaseOrder_QB query()
     * @method static _IH_ItemPurchaseOrder_QB with(array|string $relations)
     * @method _IH_ItemPurchaseOrder_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ItemPurchaseOrder_C|ItemPurchaseOrder[] all()
     * @ownLinks purchase_order_id,\App\Models\PurchaseOrder,id|item_id,\App\Models\Item,id
     * @mixin _IH_ItemPurchaseOrder_QB
     */
    class ItemPurchaseOrder extends Model {}
    
    /**
     * @property int $id
     * @property int $purchase_order_id
     * @property string|null $description
     * @property Carbon $start_date
     * @property Carbon $end_date
     * @property int $percentage_completed
     * @property int $completed_quantity_count
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Item_C|Item[] $items
     * @property-read int $items_count
     * @method BelongsToMany|_IH_Item_QB items()
     * @property _IH_JobCardUpdate_C|JobCardUpdate[] $jobCardUpdates
     * @property-read int $job_card_updates_count
     * @method HasMany|_IH_JobCardUpdate_QB jobCardUpdates()
     * @property _IH_OutsourcedJob_C|OutsourcedJob[] $outsourcedJobs
     * @property-read int $outsourced_jobs_count
     * @method HasMany|_IH_OutsourcedJob_QB outsourcedJobs()
     * @property PurchaseOrder $purchaseOrder
     * @method BelongsTo|_IH_PurchaseOrder_QB purchaseOrder()
     * @method static _IH_JobCard_QB onWriteConnection()
     * @method _IH_JobCard_QB newQuery()
     * @method static _IH_JobCard_QB on(null|string $connection = null)
     * @method static _IH_JobCard_QB query()
     * @method static _IH_JobCard_QB with(array|string $relations)
     * @method _IH_JobCard_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_JobCard_C|JobCard[] all()
     * @ownLinks purchase_order_id,\App\Models\PurchaseOrder,id
     * @foreignLinks id,\App\Models\ItemJobCard,job_card_id|id,\App\Models\JobCardUpdate,job_card_id|id,\App\Models\OutsourcedJob,job_card_id
     * @mixin _IH_JobCard_QB
     * @method static JobCardFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class JobCard extends Model {}
    
    /**
     * @property int $id
     * @property int $job_card_id
     * @property int|null $item_id
     * @property string|null $description
     * @property int $percentage_completed
     * @property int $completed_quantity_count
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Item|null $item
     * @method BelongsTo|_IH_Item_QB item()
     * @property JobCard $jobCard
     * @method BelongsTo|_IH_JobCard_QB jobCard()
     * @method static _IH_JobCardUpdate_QB onWriteConnection()
     * @method _IH_JobCardUpdate_QB newQuery()
     * @method static _IH_JobCardUpdate_QB on(null|string $connection = null)
     * @method static _IH_JobCardUpdate_QB query()
     * @method static _IH_JobCardUpdate_QB with(array|string $relations)
     * @method _IH_JobCardUpdate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_JobCardUpdate_C|JobCardUpdate[] all()
     * @ownLinks job_card_id,\App\Models\JobCard,id|item_id,\App\Models\Item,id
     * @mixin _IH_JobCardUpdate_QB
     * @method static JobCardUpdateFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class JobCardUpdate extends Model {}
    
    /**
     * @property int $id
     * @property int $job_card_id
     * @property int $vendor_id
     * @property string $description
     * @property int $cost
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property JobCard $jobCard
     * @method BelongsTo|_IH_JobCard_QB jobCard()
     * @property Vendor $vendor
     * @method BelongsTo|_IH_Vendor_QB vendor()
     * @method static _IH_OutsourcedJob_QB onWriteConnection()
     * @method _IH_OutsourcedJob_QB newQuery()
     * @method static _IH_OutsourcedJob_QB on(null|string $connection = null)
     * @method static _IH_OutsourcedJob_QB query()
     * @method static _IH_OutsourcedJob_QB with(array|string $relations)
     * @method _IH_OutsourcedJob_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OutsourcedJob_C|OutsourcedJob[] all()
     * @ownLinks job_card_id,\App\Models\JobCard,id|vendor_id,\App\Models\Vendor,id
     * @mixin _IH_OutsourcedJob_QB
     * @method static OutsourcedJobFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class OutsourcedJob extends Model {}
    
    /**
     * @property int $id
     * @property int|null $bill_id
     * @property bool $is_credit
     * @property string $mode
     * @property int $amount
     * @property string|null $description
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Bill|null $bill
     * @method BelongsTo|_IH_Bill_QB bill()
     * @method static _IH_Payment_QB onWriteConnection()
     * @method _IH_Payment_QB newQuery()
     * @method static _IH_Payment_QB on(null|string $connection = null)
     * @method static _IH_Payment_QB query()
     * @method static _IH_Payment_QB with(array|string $relations)
     * @method _IH_Payment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Payment_C|Payment[] all()
     * @ownLinks bill_id,\App\Models\Bill,id
     * @mixin _IH_Payment_QB
     * @method static PaymentFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Payment extends Model {}
    
    /**
     * @property int $id
     * @property int|null $factory_id
     * @property int $customer_id
     * @property Carbon $delivery_date
     * @property int $total_amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Customer $customer
     * @method BelongsTo|_IH_Customer_QB customer()
     * @property Factory|null $factoryRelation
     * @method BelongsTo|_IH_Factory_QB factoryRelation()
     * @property _IH_Item_C|Item[] $items
     * @property-read int $items_count
     * @method BelongsToMany|_IH_Item_QB items()
     * @property JobCard $jobCard
     * @method HasOne|_IH_JobCard_QB jobCard()
     * @method static _IH_PurchaseOrder_QB onWriteConnection()
     * @method _IH_PurchaseOrder_QB newQuery()
     * @method static _IH_PurchaseOrder_QB on(null|string $connection = null)
     * @method static _IH_PurchaseOrder_QB query()
     * @method static _IH_PurchaseOrder_QB with(array|string $relations)
     * @method _IH_PurchaseOrder_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PurchaseOrder_C|PurchaseOrder[] all()
     * @ownLinks factory_id,\App\Models\Factory,id|customer_id,\App\Models\Customer,id
     * @foreignLinks id,\App\Models\JobCard,purchase_order_id|id,\App\Models\SaleOrder,purchase_order_id|id,\App\Models\Bill,purchase_order_id|id,\App\Models\ItemPurchaseOrder,purchase_order_id
     * @mixin _IH_PurchaseOrder_QB
     * @method static PurchaseOrderFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class PurchaseOrder extends Model {}
    
    /**
     * @property int $id
     * @property int $purchase_order_id
     * @property Carbon $delivery_date
     * @property string $delivery_status
     * @property string|null $challan
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Bill $bill
     * @method HasOne|_IH_Bill_QB bill()
     * @property PurchaseOrder $purchaseOrder
     * @method BelongsTo|_IH_PurchaseOrder_QB purchaseOrder()
     * @method static _IH_SaleOrder_QB onWriteConnection()
     * @method _IH_SaleOrder_QB newQuery()
     * @method static _IH_SaleOrder_QB on(null|string $connection = null)
     * @method static _IH_SaleOrder_QB query()
     * @method static _IH_SaleOrder_QB with(array|string $relations)
     * @method _IH_SaleOrder_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SaleOrder_C|SaleOrder[] all()
     * @ownLinks purchase_order_id,\App\Models\PurchaseOrder,id
     * @foreignLinks id,\App\Models\Bill,sale_order_id
     * @mixin _IH_SaleOrder_QB
     * @method static SaleOrderFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class SaleOrder extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $location
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Shop_QB onWriteConnection()
     * @method _IH_Shop_QB newQuery()
     * @method static _IH_Shop_QB on(null|string $connection = null)
     * @method static _IH_Shop_QB query()
     * @method static _IH_Shop_QB with(array|string $relations)
     * @method _IH_Shop_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Shop_C|Shop[] all()
     * @foreignLinks id,\App\Models\User,shop_id|id,\App\Models\Item,shop_id
     * @mixin _IH_Shop_QB
     * @method static ShopFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Shop extends Model {}
    
    /**
     * @property int $id
     * @property int $vendor_id
     * @property int $item_id
     * @property string $quantity
     * @property Carbon $date
     * @property int $total_amount
     * @property int $unit_price
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Item $item
     * @method BelongsTo|_IH_Item_QB item()
     * @property Vendor $vendor
     * @method BelongsTo|_IH_Vendor_QB vendor()
     * @method static _IH_Supply_QB onWriteConnection()
     * @method _IH_Supply_QB newQuery()
     * @method static _IH_Supply_QB on(null|string $connection = null)
     * @method static _IH_Supply_QB query()
     * @method static _IH_Supply_QB with(array|string $relations)
     * @method _IH_Supply_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Supply_C|Supply[] all()
     * @ownLinks vendor_id,\App\Models\Vendor,id|item_id,\App\Models\Item,id
     * @mixin _IH_Supply_QB
     * @method static SupplyFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Supply extends Model {}
    
    /**
     * @property int $id
     * @property int|null $factory_id
     * @property int|null $shop_id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string|null $mobile_no
     * @property mixed $password
     * @property string $role
     * @property Carbon|null $last_login_at
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Factory|null $factoryRelation
     * @method BelongsTo|_IH_Factory_QB factoryRelation()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property Shop|null $shop
     * @method BelongsTo|_IH_Shop_QB shop()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks factory_id,\App\Models\Factory,id|shop_id,\App\Models\Shop,id
     * @foreignLinks 
     * @mixin _IH_User_QB
     * @method static UserFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class User extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property string $mobile_no
     * @property string|null $address
     * @property bool $for_outsource_job
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Supply_C|Supply[] $supplies
     * @property-read int $supplies_count
     * @method HasMany|_IH_Supply_QB supplies()
     * @method static _IH_Vendor_QB onWriteConnection()
     * @method _IH_Vendor_QB newQuery()
     * @method static _IH_Vendor_QB on(null|string $connection = null)
     * @method static _IH_Vendor_QB query()
     * @method static _IH_Vendor_QB with(array|string $relations)
     * @method _IH_Vendor_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Vendor_C|Vendor[] all()
     * @foreignLinks id,\App\Models\Supply,vendor_id|id,\App\Models\OutsourcedJob,vendor_id
     * @mixin _IH_Vendor_QB
     * @method static VendorFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Vendor extends Model {}
}